<?php
error_reporting(0);
ini_set("display_errors", 0);
if (!isset($_SESSION)) {
  session_start();
}


$usu = $_SESSION["id_usuario"];

set_time_limit(0);
ini_set("upload_max_filesize", "10M");
ini_set("max_execution_time", "800");
ini_set("memory_limit", "-1");
ini_set("realpath_cache_ttl", "120");


if (isset($_GET)) {
  $idEmpreendimento = $_GET['empreendimento_id'];
  $idQuadra         = $_GET['idquadra'];
  $idLote           = $_GET['idlote'];
  $dtInicio         = $_GET['inicio'];
  $dtFim            = $_GET['fim'];
  $idImobiliaria    = $_GET['imobiliaria_id'];
  $idCorretor       = $_GET['corretor_id'];
};


function buscaEmpreendimento($id_empreendimento)
{

  include "../conexao.php";


  $query_emp  = "SELECT descricao_empreendimento, img_lote FROM empreendimento_cadastro 
    WHERE idempreendimento_cadastro = $id_empreendimento";

  $executa_emp = mysqli_query($db, $query_emp);

  $row = mysqli_fetch_assoc($executa_emp);

  $descEmpreendimento = $row['descricao_empreendimento'];
  $logo = $row['img_lote'];

  $dados = [
    'descEmpreendimento' => $descEmpreendimento,
    'logo' => $logo
  ];

  return $dados;
}

function buscaQuadra($id_quadra)
{

  include "../conexao.php";


  $query_quadra  = "SELECT quadra FROM produto
  WHERE idproduto = $id_quadra";

  $executa_quadra = mysqli_query($db, $query_quadra);

  $row = mysqli_fetch_assoc($executa_quadra);

  $quadra = $row['quadra'];

  return $quadra;
}

function buscaLote($id_lote)
{

  include "../conexao.php";


  $query_lote  = "SELECT lote FROM lote
  WHERE idlote = $id_lote";

  $executa_lote = mysqli_query($db, $query_lote);

  $row = mysqli_fetch_assoc($executa_lote);

  $lote = $row['lote'];

  return $lote;

}


function buscaConsultas($id_empreendimento,$id_quadra, $id_lote, $dt_inicio, $dt_fim, $idImobiliaria, $idCorretor ){

  include '../conexao.php';

  $where = ' 1 = 1';

  ($id_empreendimento != 'Todos' && $id_empreendimento != '') ? $where .= " AND idempreendimento_cadastro = $id_empreendimento" : null;

  ($id_quadra != 'Todos' && $id_quadra != 0) ? $where .= " AND idproduto = $id_quadra" : null;

  ($id_lote != 'Todos' && $id_lote != 0) ? $where .= " AND idlote = $id_lote" : null;

  ($idImobiliaria != 'Todos' && $idImobiliaria != '') ? $where .= " AND CORRETOR.imob_id = $idImobiliaria" : null;

  ($idCorretor != 'Todos' && $idCorretor != 0) ? $where .= " AND corretor = $idCorretor" : null;

  if ($dt_inicio != "" && $dt_fim == "") {

    $where .= " AND data_hora >= " . "'" . date('Y-m-d H:i:s', strtotime($dt_inicio)) . "'";
  } else if ($dt_inicio == "" && $dt_fim != "") {

    $where .= " AND data_hora <= " . "'" . date('Y-m-d', strtotime($dt_fim)) . " 23:59:59'";
  } else if ($dt_inicio != "" && $dt_fim != "") {
    //date("d-m-Y", strtotime($data_vencimento_parcela))
    $where .= " AND data_hora  BETWEEN " . "'" . date('Y-m-d H:i:s', strtotime($dt_inicio)) . "'"
      . " AND " . "'" . date('Y-m-d',  strtotime($dt_fim)) . " 23:59:59'";
  }

 
  $query_spc = "SELECT * , CORRETOR.nome_cli as nome_corretor
                  FROM  controle_consulta_spc  as SPC
                  INNER JOIN venda as V on V.idvenda = SPC.id_venda
                  INNER JOIN produto as P on P.idproduto = V.produto_idproduto
                  INNER JOIN lote as L on L.idlote   = V.lote_idlote
                  INNER JOIN empreendimento as E on E.idempreendimento = P.empreendimento_idempreendimento
                  INNER JOIN empreendimento_cadastro as EC on EC.idempreendimento_cadastro = E.empreendimento_cadastro_id
                  INNER JOIN cliente as CORRETOR on CORRETOR.idcliente = V.imobiliaria_idimobiliaria
                  INNER JOIN cliente as CLI on CLI.idcliente = V.cliente_idcliente

                  
                  WHERE $where";  

     

      $executa_spc = mysqli_query($db, $query_spc);


      $results = [];

      while ($row = mysqli_fetch_assoc($executa_spc)) {
        array_push($results, $row);
      };

  
      return $results;
}




//INFORMACOES DO CABEÇALHO DO RELATORIO 
$dados = buscaConsultas($idEmpreendimento, $idQuadra, $idLote, 
$dtInicio, $dtFim, $idImobiliaria, $idCorretor);

$buscaEmpreendimento = buscaEmpreendimento($idEmpreendimento);

$empreendimento = $buscaEmpreendimento['descEmpreendimento'];

$logo = $buscaEmpreendimento['logo'];

$quadra = buscaQuadra($idQuadra);

$lote = buscaLote($idLote);



if ($idEmpreendimento == 'Todos') {
  $empreendimento = 'Todos';
}

if ($idQuadra == 0) {
  $quadra = "";
}

if ($idLote == 0) {
  $lote = "";
}




if ($_GET['empreendimento_id'] != 'Todos') {

  $image = "<img src='../img/$idEmpreendimento/$logo' height='110' />";

  $nomeEmpreendimento = $dados[0]['descricao_empreendimento'];
} else {
  $image = "";
}


if ($dtInicio != "") {
  $data_inicio = date('d-m-Y', strtotime($dtInicio));

}

if ($dtFim != "") {
  $data_fim = date('d-m-Y', strtotime($dtFim));
}

$data = date('d-m-Y');

$dia = substr($data, 0, 2);

$meses = [
  '01' => 'Janeiro', '02' => 'Fevereiro', '03' => 'Março', '04' => 'Abril',
  '05' => 'Maio', '06' => 'Junho', '07' => 'Julho', '08' => 'Agosto',
  '09' => 'Setembro', '10' => 'Outubro', '11' => 'Novembro', '12' => 'Dezembro'
];

$mes = substr($data, 3, 2);

$mes = $meses[$mes];

$ano = substr($data, 6, 4);


$logo_consulta = "<img src='../img/consulta/consulta.png'  style='width: 100px; height: 100px;'/>";


//CABEÇALHO DO RELATÓRIO

$html = "<table style='width:100%' border='0'>
    <tr>
      <td colspan='2' style='text-align: left'>$image</td>
   
      <td colspan='2' style='text-align: right'>Rbl Participacões, $dia de $mes de $ano<br><font style='font-size: 10px'> Emitidor por.: $usu</font></td>
    </tr>

    <tr> 
      <td colspan='4' style='text-align: center;'>$logo_consulta</td>
    </tr>

    <tr> 
      <td colspan='4' style='text-align: center; font-weight: bold;'>RELATÓRIO DE CONSULTAS SCPC</td>
    </tr>
    <tr>
      <td colspan='2'  style='text-align: left'><span style='font-weight: bold'> </td>
      <td colspan='2'  style='text-align: right'><span style='font-weight: bold'>Periodo</span>: $data_inicio / $data_fim </td>
      
    </tr>
    <tr>
      <td colspan='3'><span style='font-weight: bold'>Empreendimento</span>: $empreendimento </td>
      <td  style='text-align: right'><span style='font-weight: bold'>Q:</span> $quadra / <span style='font-weight: bold'>L:</span> $lote </td>
    </tr>
   
</table>";



  $html .= "<table style='width:100%; font-size:10px;' height='127' border='0'  >
        <tr bgcolor='#b8b8b8'>
          <td style='text-align: center'><strong>Empreendimento</strong></td>
          <td style='text-align: center'><strong>Quadra / Lote</strong></td>
          <td style='text-align: center'><strong>Cliente</strong></td>
          <td style='text-align: center'><strong>CPF</strong></td>
          <td style='text-align: center'><strong>Corretor</strong></td>
          <td style='text-align: center'><strong>Data/Hora Consulta </strong></td>
        </tr>";



  for ($i = 0; $i < count($dados); $i++) {

   $dados[$i]['data_hora'] = date('d-m-Y H:i:s', strtotime($dados[$i]['data_hora']));


    $html .= "<tr>
            <td style='text-align: center'>{$dados[$i]['descricao_empreendimento']}</td>
            <td style='text-align: center'>{$dados[$i]['quadra']}/{$dados[$i]['lote']}</td>
            <td style='text-align: center'>{$dados[$i]['nome_cli']}</td>
            <td style='text-align: center'>{$dados[$i]['cpf_cli']}</td>
            <td style='text-align: center'>{$dados[$i]['nome_corretor']}</td>
            <td style='text-align: center'>{$dados[$i]['data_hora']}</td>
            </tr>";
  }


  $html .="<tr bgcolor='#b8b8b8'>
      <td style='text-align: center'><strong>Total: " . count($dados) ." Consulta(s) </strong></td>
      <td style='text-align: center'><strong></strong></td>
      <td style='text-align: center'><strong></strong></td>
      <td style='text-align: center'><strong></strong></td>
      <td style='text-align: center'><strong></strong></td>
      <td style='text-align: center'><strong></strong></td>
    </tr>";

  $html .="</table>";

echo $html;

?>

<script type="text/javascript">
  print()
</script>